import java.awt.Color;
import javax.swing.UIManager;

/**
 * Fauke r startklassen fr projeket. Gr inte 
 * mer n att det startar upp spelet.
 * @author Per-Erik Kristensson
 */
public class Fauke 
{

	/**
	 * Startfunktion
	 *  
	 * @param arg Argument Tilltna agrument:
	 *		Fauke server robotnamn
	 *		Fauke client robotnamn servernamn
	 */
	public static void main(String[] arg)
	{
		//Fauke agg = new Fauke(a);

		setLookAndFeel();

		//Starta med argument?
		//fauke server namn
		//fauke client namn servernamn
		if(arg.length >= 2)
		{
			String name = arg[1];
			Color startColor = new Color(	(int)(128 + 128*Math.random()),
				(int)(128 + 128*Math.random()),
				(int)(128 + 128*Math.random())
				);
			
			int type = (int)(Robot.ROBOT_COUNT*Math.random());
					
			if( arg[0].equals("server") )
			{
				GameEngine m_engine = new GameEngine();		    
				m_engine.setNetMode(GameEngine.SERVER);
				
				Server m_server = new Server();
				m_server.setGameEngine(m_engine);
				m_server.start();
				
				m_engine.addRobotDirectly( new Robot(m_engine, 0, name, startColor, type) );
			    
				m_engine.setServer(m_server);

				GameFrame game = new GameFrame(m_engine);
			    
				return;
			}
			else if( arg[0].equals("client") && arg.length >= 3 )
			{
				GameConnector g = new GameConnector(name, startColor, type, arg[2]);
				return;
			}		
		}
		
		GameLauncher l = new GameLauncher();
	}

	/**
	 * Stter till ett vettigt grafiskt grnssnitt
	 */
	public static void setLookAndFeel()
	{
		try
		{
			UIManager.setLookAndFeel( UIManager.getSystemLookAndFeelClassName() );
		}
		catch(Exception e)
		{
			System.err.println("Lookandfeel misslyckades");
		};
	}       
}
